decoderawtransaction
POST
Decodes a serialized, hex-encoded transaction and returns it as a JSON object.Use it to inspect the structure of a transaction without submitting it to the node.
param[0]
hexstringstringrequired
The hex string of the transaction to decode.param[1]
iswitnessbooleanrequired
Whether the given string is a serialized witness transaction.Heuristic tests are used when omitted; true attempts witness deserialization only, and false non-witness deserialization only.Responses
in_active_chainboolean
Whether the specified block is in the active chain. Returned only when blockhash is provided.hexstring
The serialized transaction, hex-encoded.txidstring
The transaction id.hashstring
The transaction hash. It differs from txid for witness transactions.sizeinteger
The serialized transaction size, in bytes.vsizeinteger
The virtual transaction size as defined in BIP 141. It differs from size for witness transactions.weightinteger
The transaction weight as defined in BIP 141. The value is between vsize * 4 - 3 and vsize * 4.versioninteger
The transaction version.locktimeinteger
The lock time that determines when the transaction becomes valid.The list of transaction inputs.
coinbasestring
The coinbase value of the input. Returned only for coinbase inputs.txidstring
The id of the previous transaction referenced by this input. Returned only for non-coinbase inputs.voutinteger
The output index of the previous transaction referenced by this input. Returned only for non-coinbase inputs.The signature script (scriptSig) that unlocks the output referenced by the input.
asmstring
Disassembly of the script.hexstring
The script, hex-encoded.txinwitnessarray
The hex-encoded witness data. Returned only for SegWit inputs.The previous output spent by this input.It is returned when
verbosity is 2 for getrawtransaction or 3 for getblock,and omitted if the block undo data is not available.generatedboolean
Whether the output was generated by a coinbase transaction.heightinteger
The height of the block containing the previous output.valuenumber
The value of the previous output, denominated in BTC.The output script (scriptPubKey) that defines the conditions for spending the output.
asmstring
Disassembly of the script.descstring
Inferred descriptor for the script.hexstring
The raw script bytes, hex-encoded.addressstring
The Bitcoin address for the script. Returned only when a well-defined address exists.typestring
The output type.nonstandard: A script that does not match any standard type.anchor: A Pay-to-Anchor (P2A) output.pubkey: An output locked directly by a public key (P2PK).pubkeyhash: An output locked by a public key hash (P2PKH).scripthash: An output locked by a script hash (P2SH).multisig: An output that requires multiple signatures.nulldata: An output that only records data via OP_RETURN.witness_v0_keyhash: A SegWit v0 public key hash output (P2WPKH).witness_v0_scripthash: A SegWit v0 script hash output (P2WSH).witness_v1_taproot: A Taproot output (P2TR).witness_unknown: An output with an unknown witness version.
sequenceinteger
The script sequence number of the input.The list of transaction outputs.
valuenumber
The value of the output, denominated in BTC.ninteger
The index of the output within the transaction.The output script (scriptPubKey) that defines the conditions for spending the output.
asmstring
Disassembly of the script.descstring
Inferred descriptor for the script.hexstring
The raw script bytes, hex-encoded.addressstring
The Bitcoin address for the script. Returned only when a well-defined address exists.typestring
The output type.nonstandard: A script that does not match any standard type.anchor: A Pay-to-Anchor (P2A) output.pubkey: An output locked directly by a public key (P2PK).pubkeyhash: An output locked by a public key hash (P2PKH).scripthash: An output locked by a script hash (P2SH).multisig: An output that requires multiple signatures.nulldata: An output that only records data via OP_RETURN.witness_v0_keyhash: A SegWit v0 public key hash output (P2WPKH).witness_v0_scripthash: A SegWit v0 script hash output (P2WSH).witness_v1_taproot: A Taproot output (P2TR).witness_unknown: An output with an unknown witness version.
feenumber
The transaction fee, denominated in BTC.Returned when verbosity is 2, and omitted if the block undo data is not available.blockhashstring
The hash of the block containing the transaction.confirmationsinteger
The number of confirmations of the transaction.blocktimeinteger
The time of the block containing the transaction, expressed in UNIX epoch time.timeinteger
Same as blocktime.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Unauthorized"}
cURL
curl -X POST 'https://bitcoin-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "decoderawtransaction","params": ["020000000001011a8b0e3d5f9c2b7a4e6d8f1c3b5a79685746352413020100ffffffff",true]}'